#ifndef __colorization
#define __colorization

#include <vector>

#include<vcg/simplex/vertex/base.h>
#include<vcg/simplex/face/base.h>
#include<vcg/simplex/face/topology.h>

#include<vcg/complex/complex.h>

#include <vcg/complex/algorithms/update/topology.h>
#include <vcg/complex/algorithms/update/normal.h>


// input output
#include <wrap/io_trimesh/import.h>
#include <wrap/io_trimesh/export_ply.h>
#include <wrap/io_trimesh/export_off.h>

using namespace vcg;
using namespace std;

class MyFace;
class MyVertex;



struct MyUsedTypes : public UsedTypes<	Use<MyVertex>::AsVertexType,  Use<MyFace>::AsFaceType>{};

class MyVertex  : public Vertex< MyUsedTypes, vertex::VFAdj, vertex::Coord3f, vertex::CurvatureDirf, vertex::Curvaturef, vertex::Normal3f, vertex::Color4b, vertex::BitFlags  >{};
class MyFace    : public Face  < MyUsedTypes, face::VFAdj, face::FFAdj,  face::CurvatureDirf, face::Normal3f, face::VertexRef, face::Color4b, face::BitFlags > {};
class MyMesh    : public vcg::tri::TriMesh<vector<MyVertex>, vector<MyFace> > {};


#endif
